{% extends 'base.html' %}
{% block scripts %}
{% load static %}
<!-- <script src="//cdnjs.cloudflare.com/ajax/libs/dygraph/2.1.0/dygraph.min.js"></script> -->
<!-- <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/dygraph/2.1.0/dygraph.min.css" /> -->

<script src="{% static 'dygraph.min.js' %}"></script>
<link rel="stylesheet" href="{% static 'dygraph.css' %}" type="text/css">
<script src="{% static 'html2canvas.min.js' %}"></script>
<link rel="stylesheet" href="{% static 'ol.css'%}" type="text/css">
<script src="{% static 'ol.js' %}" type="text/javascript"></script>
<script src="{% static 'FileSaver.min.js' %}"></script>

<link rel="stylesheet" href="{% static 'style.css'%}" type="text/css">
{% endblock %}

{% block headinfo %}
<form id="topForm">
    <span class="drop">parameter : <span id="paramName" class="dropSelected">{{ default_metric }}</span>
        <span class="dropMenu" style="min-width:250px;">
            <!--
    <select id="metric" >
    {% for m in metrics %}
    <option value="{{ m.id }}">{{ m.name }}</option>
    {% endfor %}
</select>-->
        {% for m in metrics %}
            <input type="radio" name="metric" id="metric{{ m.id }}" value="{{ m.id }}"
                   {% if m == default_metric %}checked{% endif %}
            onchange="updateDrop('param', '{{ m.name }}')">
            <label for="metric{{ m.id }}">{{ m.name }}</label><br>
        {% endfor %}
        </span>
    <span class="helptext"> <a href="{% url 'climap:help' %}">(help)</a></span></span>
    <span class="drop">models : <span id="modelsNb" class="dropSelected">8</span>
<span class="dropMenu" style="min-width:400px; column-count: 2;">
    <input type="checkbox" id="modelall" onchange="allModels(this.checked);" checked><label
        for="modelall"><i>all models</i></label>
    <br><input type="checkbox" id="typicalModels"><label for="typicalModels"><i>typical samples</i></label><hr>
    {% for m in models %}
    <input type="checkbox" value="{{ m.id }}" class="modelCheck" id="model{{ m.id }}"
           onchange="updateModelList()" checked><label for="model{{ m.id }}">{{ m.name }}</label><br>
    {% endfor %}
</span>

<span class="helptext"> <a href="{% url 'climap:help' %}#models">(help)</a></span>
</span>
    <span class="drop">scenario : <span id="scenName" class="dropSelected">{{ default_scenario }}</span>
<span class="dropMenu" style="min-width:100px;">
    {%for s in scenarii %}
    <input value="{{ s.id }}" name="scenario" id="scen{{ s.id }}" type="radio"
           onchange="updateDrop('scen', '{{ s.name }}')"
           {% if s == default_scenario %}checked{% endif %}>
    <label for="scen{{ s.id }}">{{ s.name }}</label><br>
    {% endfor %}

</span></span>
    <span class="drop">selected : <span id="selectedDisplay" class="dropSelected">Senegal</span>
    <span class="dropMenu" style="min-width:140px">select new
        <a href="#" onclick="map.once('singleclick', selectPoint)">point</a>
        <br>select new <a href="#" onclick="setZoneSelection()">zone</a></span></span>
    <!--<span class="drop">download
    <span class="dropMenu" style="min-width:200px">
        <input name="exportMap" type="checkbox" id="exportMap" checked><label for="exportMap">export map</label>
        <br><input name="exportMonth" type="checkbox" id="exportMonth" checked><label for="exportMonth">export month graph</label>
        <br><input name="exportYear" type="checkbox" id="exportYear" checked><label for="exportYear">export year graph</label>
        <br>as <select name="exportFormat">
        <option>svg</option><option>png</option><option>csv</option>
    </select>
        <br><a href="#" class="button">export</a>
    </span></span>-->
    <a href="#" class="button" style="text-align:right;"
       onclick="runForm(document.getElementById('mapForm'));">update</a>
<span class="helptext" style="color:red;float:right" id="message"></span>
</form>
{% endblock %}

{% block content %}
    <div id="newmapPanel">
        <div style="margin-bottom:10px;text-align:center;">
            <form id="mapForm">
                <ul style="text-align:left;">
                    <li>Month period <select name="month">
                        <option value="-1">whole year</option>
                        <option value="0">Jan</option>
                        <option value="1">Feb</option>
                        <option value="2">Mar</option>
                        <option value="3">Apr</option>
                        <option value="4">May</option>
                        <option value="5">Jun</option>
                        <option value="6">Jul</option>
                        <option value="7">Aug</option>
                        <option value="8">Sep</option>
                        <option value="9">Oct</option>
                        <option value="10">Nov</option>
                        <option value="11">Dec</option>
                    </select>
                    </li>
                    <li>Year(s) <input name='years' type="text" value="2050"
                    onchange="document.getElementById('methodSpan').style.display =
                                this.value.includes('-')?'block':'none';">
                        <span class="tip">?<span class="tipmessage">For instance "2050" or "2080-2099".</span></span>
                        <span style="display:none;" id="methodSpan">
                            <img height='12px' src="{% static 'svg/corner-down-right.svg' %}">
                            aggregate by <select name="method">
                                <option value="mean">average</option>
                                <option value="min">min</option>
                                <option value="max">max</option>
                                <option value="sum">sum</option>
                            </select></span>
                    </li>
                    <li id="data">Data
                        <select name='data'
                                onchange="document.getElementById('refYrWidget').style.display = this.value==='data'?'none':'block';">
                            <option value="data">raw data</option>
                            <option value="relative">relative difference</option>
                            <option value="absolute">absolute difference</option>
                        </select>
                        <span class="tip">?<span class="tipmessage"><b>raw</b> = projection only,
                            <br><b>relative</b> = 100*(proj-hist)/hist,
                            <br/><b>absolute</b> = (proj-hist).</span></span>
                        <div id="refYrWidget" style="display:none;">
                            <img height='12px' src="{% static 'svg/corner-down-right.svg' %}">
                            with reference to <input name="refYrs" value="1950-1980" type="text">
                        <br><img height='12px' src="{% static 'svg/corner-down-right.svg' %}">
                            <input name="confidence" type="checkbox" id="confidence"><label for="confidence">show confidence</label></div>
                    </li>
                    <li>Area <select name="area">
                        <option value="zone">near selected zone</option>
                        <option value="all">as large as available</option>
                    </select><span class="tip">?<span class="tipmessage">If "near selected zone", only displays results
                        in the neighbourhood.
                        <br>No effect if selection is a point.</span></span></li>
                    <li>Scale <select name="scale">
                        <option value="relative">relative</option>
                        <option value="absolute">absolute</option>
                    </select><span class="tip">?<span class="tipmessage">
                        <b>absolute</b> bounds are fixed max and min bounds from all models.
                        <br><b>relative</b> bounds are calculated on the fly.
                        <br>No effect when calculating differences.
                    </span></span>
                    </li>
                    <li>Charts compare <select name="compare">
                        <option>scenarii</option>
                        <option>models</option>
                    </select><span class="tip">?<span class="tipmessage">
                        For <b>scenarii</b>, displays model average and standard deviation for each scenario.
                        <br><b>Models</b> are compared along chosen scenario.
                    </span></span>
                    </li>
                    <li>Display zones <select onchange="fetchZones(this.value)">
                        <option value="-1">----</option>
                        {% for d in divisions %}
                        <option value="{{ d.id }}" {% if d.id == 1 %} selected="selected" {% endif %}>{{ d.name }}
                        </option>
                        {% endfor %}
                        <option value="-2">custom</option>
                    </select></li>
                    <li>Background
                        <select onchange="changeBackground(this.value);">
                            <option value="none">-----</option>
                            <option value="OSM">OpenStreetMap</option>
                            <option value="ESRI" selected>ESRI topography</option>
                            <option value="Nasa">Nasa imagery</option>
                        </select></li>
                    <li>Opacity <input id="imageOpacity" type="range" min="0" max="100" value="100"
                                       onchange="imageLayer.setOpacity(this.value/100);document.getElementById('scaleimg').style.opacity=(this.value/100);"></p></li>
                </ul>
                <a href="#" class="button" style="text-align:right;" onclick="runForm(mapForm);">update</a></form>
        </div>
        <a class="button" style="float:right" href="#" onclick="toggleMapPanel(this)">
            <img src="{% static 'svg/arrow-up-left.svg' %}"></a>
    </div>

<div class="container">
    <div class="newloader" id="mapLoader"><img width=50px src="{% static 'loading.gif' %}"></div>
    <div id="title">Title</div>
    <div id="scale">
        <table>
            <tr>
                <td rowspan="10"><img id="scaleimg" src="" height="220px"></td>
                <td id="scale0">0</td>
            </tr>
            <tr>
                <td id="scale1">1</td>
            </tr>
            <tr>
                <td id="scale2">2</td>
            </tr>
            <tr>
                <td id="scale3">3</td>
            </tr>
            <tr>
                <td id="scale4">4</td>
            </tr>
            <tr>
                <td id="scale5">5</td>
            </tr>
            <tr>
                <td id="scale6">6</td>
            </tr>
            <tr>
                <td id="scale7">7</td>
            </tr>
            <tr>
                <td id="scale8">8</td>
            </tr>
            <tr>
                <td id="scale9">9</td>
            </tr>
        </table>
    </div>
    <div id="map"></div>
</div>
<div class="container">
    <div class="newloader" id="monthLoader"><img width=50px src="{% static 'loading.gif' %}"></div>
    <div class="newchart" id="monthChart"></div>
    <div class="legend" id="monthLegend"></div>
    <!--<p style='float:right' class="helptext"><a href="#">save as csv</a> - <a href="#">open in new window</a></p>-->
</div>
<!--<h3><img src="{% static 'svg/bar-chart.svg' %}" style="float:left"> global evolution</h3>-->
<div class="container">
    <div class="newloader" id="yearLoader"><img width=50px src="{% static 'loading.gif' %}"></div>
    <div class="newchart" id="yearChart"></div>
    <div class="legend" id="yearLegend"></div>
    <!--<p>adjust time smoothing </p>-->
    <!--<p style='float:right' class="helptext"><a href="#">save as csv</a> - <a href="#">open in new window</a></p>-->
</div>


<!--    <script src="{% static 'olclimap.js' %}"></script> -->
<script src="{% static 'climap.js' %}"></script>

<script type="text/javascript">
var modelcolors = {{ modelcolors|safe }},
    metricunits = {{ metricunits|safe }};

var zones = new ol.layer.Vector({
	source: new ol.source.Vector({
            features: (new ol.format.GeoJSON()).readFeatures({{countries|safe}}),
            projection: 'EPSG:4326'
	}),
	zIndex: 2,
	style: zoneStyle
    });

var hoverInteraction = new ol.interaction.Select({
    condition: ol.events.condition.pointerMove,
    layers:[zones]
});

map.addLayer(zones);

var imgArrowUpLeft = "{% static 'svg/arrow-up-left.svg' %}",
    imgEdit = "{% static 'svg/edit.svg' %}";

window.onload = function(){
    allModels(true);
    runForm(mapForm);
    zones.getSource().getFeatures().forEach(function(x){
        if(x.getProperties().name==='Senegal') {
            x.setStyle(selectedZoneStyle);
            selectedZone = x;
            }
        });
}

</script>

{% endblock %}
